#include "segment_pipeline.h"

#include "core/renderer/renderer.h"

bool segment_pipeline::init() {
    pipeline::init();
    param_buffer = aorii::get_renderer_raw()->create_buffer(buffer_type::constant, sizeof(param), 1);
    return true;
}
void segment_pipeline::destroy() {
    aorii::get_renderer_raw()->destroy_buffer(param_buffer);
    pipeline::destroy();
}

void segment_pipeline::set_param(const param& in_param) {
    param_buffer->set_data(in_param);
}
